dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	
end

function update(me, dt)
	if n == 0 then
		n = getNaija()
	end
	if node_isEntityIn(me, n) then
		entity_damage(n, 0, 0.5)
		
		nx,ny = getWallNormal(node_x(me), node_y(me))
		if not(nx == 0 and ny == 0) then
			nx,ny = vector_setLength(nx, ny, 800)
			--entity_push(n, nx, ny, 0.25)
			entity_addVel(n, nx, ny)
		end
	end
end
